Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#927 Intermittent SVN Update Bug

open
nobody
svn (3)
5*
2014-05-23
2014-03-18
Blackhawke
No

Every once in awhile, using the SVN update command through TeXStudio updates the local repo appropriately, but TeXstudio doesn't update the source file in the edit window. You can view the file in Midnight Commander or whatever and see the changes. You can compile right in TeXstudio and they'll be there too, in the PDF. But they won't be visible in the source doc inside TeXstudio unless you kill and reload the program.

On the other hand, a second commit will usually rectify the problem. But that's only useful if you've got the person who made the last commit handy to tell you what you didn't get in their changes. If you don't, and you keep editing thinking you have the latest version SVN says you have, you often end up with one or more skipped paths. Ick!

(I also reported bug 909. I had to do it anonymously as I couldn't log in. Support finally fixed my account. Just thought you folks might like to know.)

Related

Bugs: #927

Discussion

1 2 > >> (Page 1 of 2)
  • Which os, which version of txs ?
    Do you see the same effect if the update was triggered on command line ?

    On 18.03.2014 20:57, Blackhawke wrote:


    [bugs:#927] http://sourceforge.net/p/texstudio/bugs/927/ Intermittent
    SVN Update Bug

    Status: open
    Group:
    Labels: svn
    Created: Tue Mar 18, 2014 07:57 PM UTC by Blackhawke
    Last Updated: Tue Mar 18, 2014 07:57 PM UTC
    Owner: nobody

    Every once in awhile, using the SVN update command through TeXStudio
    updates the local repo appropriately, but TeXstudio doesn't update the
    source file in the edit window. You can view the file in Midnight
    Commander or whatever and see the changes. You can compile right in
    TeXstudio and they'll be there too, in the PDF. But they won't be
    visible in the source doc inside TeXstudio unless you kill and reload
    the program.

    On the other hand, a second commit will usually rectify the problem. But
    that's only useful if you've got the person who made the last commit
    handy to tell you what you didn't get in their changes. If you don't,
    and you keep editing thinking you have the latest version SVN says you
    have, you often end up with one or more skipped paths. Ick!

    (I also reported bug 909. I had to do it anonymously as I couldn't log
    in. Support finally fixed my account. Just thought you folks might like
    to know.)


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/texstudio/bugs/927/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #927

    • Blackhawke
      Blackhawke
      2014-03-18

      Oh sorry! I forgot to add that info, didn't I? Umm... TeXstudio 2.6.6 (hg 4099)
      Using Qt Version 4.8.1, compiled with Qt 4.8.1 D on Ubuntu 12.04.

      As for the command line thingy, I honestly have never tried doing it from the command line when I'm using Texstudio. I'll give it a try next time I get an update that doesn't "take" (as we're calling it now) from inside the program.

       
      • If it occurs more often, it would be interesting, whether texstudio
        fails to notice that a file has changed if the update was triggered
        externally.
        The point is that txs monitors the files it has open and executes an
        apropriate repsonse if it has changed on disk (reload it, if it has not
        changed in memory, ask if there are conflicts ...)
        The mechanism normally works fine, so why does it not work reliably with
        you. One guess is that something fails if txs is still occupied with the
        update. So one way of checking that is that you try to do the update
        outside of txs ... if possible.

        On 18.03.2014 21:26, Blackhawke wrote:

        Oh sorry! I forgot to add that info, didn't I? Umm... TeXstudio 2.6.6
        (hg 4099)
        Using Qt Version 4.8.1, compiled with Qt 4.8.1 D on Ubuntu 12.04.

        As for the command line thingy, I honestly have never tried doing it
        from the command line when I'm using Texstudio. I'll give it a try next
        time I get an update that doesn't "take" (as we're calling it now) from
        inside the program.


        [bugs:#927] http://sourceforge.net/p/texstudio/bugs/927/ Intermittent
        SVN Update Bug

        Status: open
        Group:
        Labels: svn
        Created: Tue Mar 18, 2014 07:57 PM UTC by Blackhawke
        Last Updated: Tue Mar 18, 2014 07:57 PM UTC
        Owner: nobody

        Every once in awhile, using the SVN update command through TeXStudio
        updates the local repo appropriately, but TeXstudio doesn't update the
        source file in the edit window. You can view the file in Midnight
        Commander or whatever and see the changes. You can compile right in
        TeXstudio and they'll be there too, in the PDF. But they won't be
        visible in the source doc inside TeXstudio unless you kill and reload
        the program.

        On the other hand, a second commit will usually rectify the problem. But
        that's only useful if you've got the person who made the last commit
        handy to tell you what you didn't get in their changes. If you don't,
        and you keep editing thinking you have the latest version SVN says you
        have, you often end up with one or more skipped paths. Ick!

        (I also reported bug 909. I had to do it anonymously as I couldn't log
        in. Support finally fixed my account. Just thought you folks might like
        to know.)


        Sent from sourceforge.net because you indicated interest in
        https://sourceforge.net/p/texstudio/bugs/927/

        To unsubscribe from further messages, please visit
        https://sourceforge.net/auth/subscriptions/

         

        Related

        Bugs: #927

  • Blackhawke
    Blackhawke
    2014-03-18

    Okay... Well, we just had it happen again -- twice, on back to back commits.

    Doing a manual update from the command line does NOT trigger a reload by TeXstudio. So, after reading your last post, my theory went out the window: The repository is on our local servers, as are we, so SVN calls and responses can happen really quickly. They don't have to travel over the 'net. I thought perhaps it was happening so fast that TeXstudio doesn't pick it up. Guess not!

     
  • Can you change the source with another editor and see whether a save of a changed text triggers a reload ?

    -------- Ursprüngliche Nachricht --------
    Von Blackhawke blackhawke@users.sf.net
    Datum: 18.03.2014 22:04 (GMT+01:00)
    An "[texstudio:bugs]" 927@bugs.texstudio.p.re.sf.net
    Betreff [texstudio:bugs] #927 Intermittent SVN Update Bug

    Okay... Well, we just had it happen again -- twice, on back to back commits.

    Doing a manual update from the command line does NOT trigger a reload by TeXstudio. So, after reading your last post, my theory went out the window: The repository is on our local servers, as are we, so SVN calls and responses can happen really quickly. They don't have to travel over the 'net. I thought perhaps it was happening so fast that TeXstudio doesn't pick it up. Guess not!

    [bugs:#927] Intermittent SVN Update Bug

    Status: open
    Group:
    Labels: svn
    Created: Tue Mar 18, 2014 07:57 PM UTC by Blackhawke
    Last Updated: Tue Mar 18, 2014 07:57 PM UTC
    Owner: nobody

    Every once in awhile, using the SVN update command through TeXStudio updates the local repo appropriately, but TeXstudio doesn't update the source file in the edit window. You can view the file in Midnight Commander or whatever and see the changes. You can compile right in TeXstudio and they'll be there too, in the PDF. But they won't be visible in the source doc inside TeXstudio unless you kill and reload the program.

    On the other hand, a second commit will usually rectify the problem. But that's only useful if you've got the person who made the last commit handy to tell you what you didn't get in their changes. If you don't, and you keep editing thinking you have the latest version SVN says you have, you often end up with one or more skipped paths. Ick!

    (I also reported bug 909. I had to do it anonymously as I couldn't log in. Support finally fixed my account. Just thought you folks might like to know.)

    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/texstudio/bugs/927/

    To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #927

    • Blackhawke
      Blackhawke
      2014-03-18

      Yup. But it will have to wait until tomorrow. We're now out of the office
      until morning.

      -=Michael=-
      Metaphor Publications


      Add me to your address book:
      http://contactmonkey.com/mjmatson


      On Mar 18, 2014 2:54 PM, "Jan Sundermeyer" jsundermeyer@users.sf.net
      wrote:

      Can you change the source with another editor and see whether a save of a
      changed text triggers a reload ?

      -------- Ursprüngliche Nachricht --------
      Von Blackhawke blackhawke@users.sf.net
      Datum: 18.03.2014 22:04 (GMT+01:00)
      An "[texstudio:bugs]" 927@bugs.texstudio.p.re.sf.net
      Betreff [texstudio:bugs] #927 Intermittent SVN Update Bug

      Okay... Well, we just had it happen again -- twice, on back to back
      commits.

      Doing a manual update from the command line does NOT trigger a reload by
      TeXstudio. So, after reading your last post, my theory went out the window:
      The repository is on our local servers, as are we, so SVN calls and
      responses can happen really quickly. They don't have to travel over the
      'net. I thought perhaps it was happening so fast that TeXstudio doesn't
      pick it up. Guess not!

      [bugs:#927] http://sourceforge.net/p/texstudio/bugs/927/ Intermittent
      SVN Update Bug

      Status: open
      Group:
      Labels: svn
      Created: Tue Mar 18, 2014 07:57 PM UTC by Blackhawke
      Last Updated: Tue Mar 18, 2014 07:57 PM UTC
      Owner: nobody

      Every once in awhile, using the SVN update command through TeXStudio
      updates the local repo appropriately, but TeXstudio doesn't update the
      source file in the edit window. You can view the file in Midnight Commander
      or whatever and see the changes. You can compile right in TeXstudio and
      they'll be there too, in the PDF. But they won't be visible in the source
      doc inside TeXstudio unless you kill and reload the program.

      On the other hand, a second commit will usually rectify the problem. But
      that's only useful if you've got the person who made the last commit handy
      to tell you what you didn't get in their changes. If you don't, and you
      keep editing thinking you have the latest version SVN says you have, you
      often end up with one or more skipped paths. Ick!

      (I also reported bug 909. I had to do it anonymously as I couldn't log in.
      Support finally fixed my account. Just thought you folks might like to
      know.)

      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/texstudio/bugs/927/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/


      Status: open
      Group:
      Labels: svn
      Created: Tue Mar 18, 2014 07:57 PM UTC by Blackhawke
      Last Updated: Tue Mar 18, 2014 09:04 PM UTC
      Owner: nobody

      Every once in awhile, using the SVN update command through TeXStudio
      updates the local repo appropriately, but TeXstudio doesn't update the
      source file in the edit window. You can view the file in Midnight Commander
      or whatever and see the changes. You can compile right in TeXstudio and
      they'll be there too, in the PDF. But they won't be visible in the source
      doc inside TeXstudio unless you kill and reload the program.

      On the other hand, a second commit will usually rectify the problem. But
      that's only useful if you've got the person who made the last commit handy
      to tell you what you didn't get in their changes. If you don't, and you
      keep editing thinking you have the latest version SVN says you have, you
      often end up with one or more skipped paths. Ick!

      (I also reported bug 909. I had to do it anonymously as I couldn't log in.
      Support finally fixed my account. Just thought you folks might like to
      know.)


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/texstudio/bugs/927/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #927

    • Blackhawke
      Blackhawke
      2014-03-19

      Okay, I ran the test you wanted. I edited a file from within MC and before
      I could even get back to txs it had updated to include the changes.

      -=Michael=-
      Metaphor Publications


      Add me to your address book:
      http://ourteam.com/mjmatson


      On Tue, Mar 18, 2014 at 2:54 PM, Jan Sundermeyer
      jsundermeyer@users.sf.netwrote:

      Can you change the source with another editor and see whether a save of a
      changed text triggers a reload ?

      -------- Ursprüngliche Nachricht --------
      Von Blackhawke blackhawke@users.sf.net
      Datum: 18.03.2014 22:04 (GMT+01:00)
      An "[texstudio:bugs]" 927@bugs.texstudio.p.re.sf.net
      Betreff [texstudio:bugs] #927 Intermittent SVN Update Bug

      Okay... Well, we just had it happen again -- twice, on back to back
      commits.

      Doing a manual update from the command line does NOT trigger a reload by
      TeXstudio. So, after reading your last post, my theory went out the window:
      The repository is on our local servers, as are we, so SVN calls and
      responses can happen really quickly. They don't have to travel over the
      'net. I thought perhaps it was happening so fast that TeXstudio doesn't
      pick it up. Guess not!

      [bugs:#927] http://sourceforge.net/p/texstudio/bugs/927/ Intermittent
      SVN Update Bug

      Status: open
      Group:
      Labels: svn
      Created: Tue Mar 18, 2014 07:57 PM UTC by Blackhawke
      Last Updated: Tue Mar 18, 2014 07:57 PM UTC
      Owner: nobody

      Every once in awhile, using the SVN update command through TeXStudio
      updates the local repo appropriately, but TeXstudio doesn't update the
      source file in the edit window. You can view the file in Midnight Commander
      or whatever and see the changes. You can compile right in TeXstudio and
      they'll be there too, in the PDF. But they won't be visible in the source
      doc inside TeXstudio unless you kill and reload the program.

      On the other hand, a second commit will usually rectify the problem. But
      that's only useful if you've got the person who made the last commit handy
      to tell you what you didn't get in their changes. If you don't, and you
      keep editing thinking you have the latest version SVN says you have, you
      often end up with one or more skipped paths. Ick!

      (I also reported bug 909. I had to do it anonymously as I couldn't log in.
      Support finally fixed my account. Just thought you folks might like to
      know.)

      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/texstudio/bugs/927/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/


      Status: open
      Group:
      Labels: svn
      Created: Tue Mar 18, 2014 07:57 PM UTC by Blackhawke
      Last Updated: Tue Mar 18, 2014 09:04 PM UTC
      Owner: nobody

      Every once in awhile, using the SVN update command through TeXStudio
      updates the local repo appropriately, but TeXstudio doesn't update the
      source file in the edit window. You can view the file in Midnight Commander
      or whatever and see the changes. You can compile right in TeXstudio and
      they'll be there too, in the PDF. But they won't be visible in the source
      doc inside TeXstudio unless you kill and reload the program.

      On the other hand, a second commit will usually rectify the problem. But
      that's only useful if you've got the person who made the last commit handy
      to tell you what you didn't get in their changes. If you don't, and you
      keep editing thinking you have the latest version SVN says you have, you
      often end up with one or more skipped paths. Ick!

      (I also reported bug 909. I had to do it anonymously as I couldn't log in.
      Support finally fixed my account. Just thought you folks might like to
      know.)


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/texstudio/bugs/927/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #927

  • Blackhawke
    Blackhawke
    2014-04-08

    Okay... Now that we've updated to the latest version...

    I'm running the AMD version, my wife is running the i386 version. I'm no longer having the intermittent update problem, but she is. OTOH, the crashes are gone. We're both running Ubuntu 12.04

    UPDATE: I didn't realize that my wife was NOT running the latest version. She has since updated and the bug is back ONLY ON HER Intel VERSION! On my AMD64 I'm no longer experiencing the bug.

     
    Last edit: Blackhawke 2014-05-21
  • Blackhawke
    Blackhawke
    2014-05-21

    Another update: We're now writing in different parts of the same file at the same time, trading commits and updates as needed, and the i386 version of TeXstudio never manages to get the updates that I commit the first time. Just like before, the updates are in the source file in the working directory, but TeXstudio doesn't pick them up until a second commit has been issued. Obviously, this makes working in the same file very dangerous as on the i386 machine, she can never be sure she really has all the current changes!

    Conversely, my amd64 version of TEXstudio picks up the updates just fine. First time, no problem!

    (We're both running Ubuntu 12.04, TS version 2.7.0.)

     
  • can you compile txs yourself and use an debugger , e.g. qtcreator ?

    Since I have not used a 32bit linux for years, I have no installation here.

     
1 2 > >> (Page 1 of 2)